birthdate: '1953-10-02'
birthplace: Itabashi, Tokyo, Japan
discography:
- catalog: KICA-104
  date: '1992-04-22'
  link: album/129442
  reprint: false
  roles:
  - Project Planner
  - Voice Actor
  - Disc Jockey
  titles:
    en: Seishun Radimenia
    ja: 青春ラジメニア
    ja-latn: Seishun Radimenia
  type: anime
- catalog: KICA-349
  date: '1997-03-21'
  link: album/129443
  reprint: false
  roles:
  - Project Planner
  - Voice Actor
  - Disc Jockey
  titles:
    en: Seishun Radimenia
    ja: 青春ラジメニア
    ja-latn: Seishun Radimenia
  type: drama
- catalog: BXCA-1016
  date: '2004-04-14'
  link: album/118428
  reprint: false
  roles:
  - Chorus
  - Vocals
  - Dialogue
  titles:
    en: COMING TO THE RADIO Radio ga Daisuki
    ja: COMING TO THE RADIO ラジオがだいすき
    ja-latn: COMING TO THE RADIO Radio ga Daisuki
  type: anime
- catalog: COCX-35482
  date: '2009-04-15'
  link: album/126599
  reprint: false
  roles:
  - Vocals
  titles:
    en: Seishun Radimenia 20-shuunen Kinen Album Anison Tamatebako ~Hinekure no Gyakushuu~
    ja: 青春ラジメニア 20周年記念アルバム アニソン玉手箱～ひねくれの逆襲～
    ja-latn: Seishun Radimenia 20-shuunen Kinen Album Anison Tamatebako ~Hinekure
      no Gyakushuu~
  type: anime
featured_on: []
info:
  Birthdate: Oct 2, 1953
  Birthplace: Itabashi, Tokyo, Japan
  Bloodtype: O
  Credited works: 4 albums in database
  Credits:
  - 2 project planner
  - 2 voice actor
  - 2 disc jockey
  - 2 vocals
  - 1 special thanks
  - 1 chorus
  - 1 dialogue
  Education: Mie University
link: artist/50565
meta:
  added_date: 2022-05-09T18:30
  edited_date: 2022-05-13T05:23
  fetched_date: 2025-12-07T20:08
  ttl: 86400
  visitors: 590
name: Kazuo Iwasaki
name_real: 岩崎 和夫
name_trans: いわさき かずお
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/56/50565/50565-1652149850.jpg
picture_small: https://thumb-media.vgm.io/artists/56/50565/50565-1652149850.jpg
sex: male
twitter_names:
- iwachan102
type: Individual
vgmdb_link: https://vgmdb.net/artist/50565?perpage=99999
websites:
  Personal: []
  Reference: []
